What's new

FREE CHOIR Snaps, Claps, Slaps, Stomps & Shouts for Kontakt

reutunes

Senior Member
To celebrate the release of their new Palette series of Orchestral libraries, Red Room Audio are giving away a FREE Kontakt instrument : Choir Snaps, Claps, Slaps, Stomps & Shouts. They sampled a 24-piece mixed choir performing a variety of vocal and body effects and packaged it with some fun GUI features.

Grab it HERE

avtLGur.png
 
Last edited:

sean8877

Active Member
I added the free instrument to my cart but I get this message and doesn't let me complete the transaction:

  • SNAPS CLAPS SLAPS STOMPS & SHOUTS HAS BEEN REMOVED FROM YOUR CART BECAUSE IT CAN NO LONGER BE PURCHASED. PLEASE CONTACT US IF YOU NEED ASSISTANCE.
 

Robo Rivard

Senior Member
I added the free instrument to my cart but I get this message and doesn't let me complete the transaction:

  • SNAPS CLAPS SLAPS STOMPS & SHOUTS HAS BEEN REMOVED FROM YOUR CART BECAUSE IT CAN NO LONGER BE PURCHASED. PLEASE CONTACT US IF YOU NEED ASSISTANCE.
I got the same message, but just click on "Download Section", and it's there to download.
 

Hunter123

Member
I added the free instrument to my cart but I get this message and doesn't let me complete the transaction:

  • SNAPS CLAPS SLAPS STOMPS & SHOUTS HAS BEEN REMOVED FROM YOUR CART BECAUSE IT CAN NO LONGER BE PURCHASED. PLEASE CONTACT US IF YOU NEED ASSISTANCE.
I got the same message but got an email with the download file anyway.
 

JonSolo

Not Han's Brother
These guys seem to be related to Impact Soundworks. Will be checking out more on this for sure. Welcome Red Room Audio!
 

HiEnergy

Just a human being
Looks like this needs Kontakt 5.6.8.
I'm still on 5.6.6 as I need to be able to add legacy libraries on a computer without Internet connection. Won't update until NI makes offline library addition possible.
 
OP
reutunes

reutunes

Senior Member
Thread starter
  • Thread Starter
  • Thread Starter
  • #13
Looks like this needs Kontakt 5.6.8.
I'm still on 5.6.6 as I need to be able to add legacy libraries on a computer without Internet connection. Won't update until NI makes offline library addition possible.

Native instruments requiring all developers to provide at least 5.6.8 versions these days if they want to run on Kontakt Player. Let's hope for backwards compatibility but I doubt that will ever happen.
 

EvilDragon

KSP Wizard
Looks like this needs Kontakt 5.6.8.
I'm still on 5.6.6 as I need to be able to add legacy libraries on a computer without Internet connection. Won't update until NI makes offline library addition possible.

Keep your 5.6.6 executable (rename it) and then update to 5.6.8 to stay current.

Native instruments requiring all developers to provide at least 5.6.8 versions these days if they want to run on Kontakt Player.

But SCSSS is not a KP library, it's a freebie that needs full Kontakt. We wanted to stay consistent with versions required, so for the time being, all RRA products will be 5.6.8. Until we need a feature from newer versions, that is.

Let's hope for backwards compatibility but I doubt that will ever happen.

Kontakt has always been backwards compatible. You're thinking about forwards compatibility (loading newer version files with older version software), which is unfortunately not really feasible with Kontakt (all you'd get would be broken patches if the newer version patch uses some features specific to that particular version, i.e. new KSP commands), so it won't happen.
 
OP
reutunes

reutunes

Senior Member
Thread starter
  • Thread Starter
  • Thread Starter
  • #15
Keep your 5.6.6 executable (rename it) and then update to 5.6.8 to stay current.



But SCSSS is not a KP library, it's a freebie that needs full Kontakt. We wanted to stay consistent with versions required, so for the time being, all RRA products will be 5.6.8. Until we need a feature from newer versions, that is.



Kontakt has always been backwards compatible. You're thinking about forwards compatibility (loading newer version files with older version software), which is unfortunately not really feasible with Kontakt (all you'd get would be broken patches if the newer version patch uses some features specific to that particular version, i.e. new KSP commands), so it won't happen.
That is what I meant - I was nervous about switching to 5.7.1 - no issues so far and I don't know why people are having trouble with it. Maybe I'm not using Kontakt in the same way as everyone else.
 

JonSolo

Not Han's Brother
Well I see most of the Kontakt issues are folks with Mac. I am on PC and stay current with no issues. It is the older plugs that I love so much that no longer work.
 

Red Room Audio

Active Member
Hi everyone. We've been working around the clock to repair these issues. Our apologies for the bumpy start and thanks for your patience! When things are resolved we'll report back here.
 
Top Bottom